## grails.test
Class MockUtils

    java.lang.Object
      grails.test.MockUtils

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class MockUtils

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`MockUtils()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static void` `addCommonWebProperties(Class clazz)`
`static Object` `getCOMPARATORS_RE()`
`static Object` `getCOMPARATORS()`
`static Object` `getDYNAMIC_FINDER_RE()`
`static Object` `getErrorsObjects()`
`static Map<Class,Long>` `getIDS()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static Object` `getTEST_INSTANCES()`
`Object` `invokeMethod(String method, Object arguments)`
`static void` `mockAttributeAccess(Class clazz)`
`static void` `mockCommandObject(Class clazz)`
`static void` `mockCommandObject(Class clazz, Map errorsMap)`
`static void` `mockController(Class clazz)`
`static GrailsDomainClass` `mockDomain(Class clazz)`
`static GrailsDomainClass` `mockDomain(Class clazz, List testInstances)`
`static GrailsDomainClass` `mockDomain(Class clazz, Map errorsMap)`
`static GrailsDomainClass` `mockDomain(Class clazz, Map errorsMap, List testInstances)`
`static void` `mockLogging(Class clazz)`
`static void` `mockLogging(Class clazz, boolean enableDebug)`
`static void` `mockTagLib(Class clazz)`
`static void` `prepareForConstraintsTests(Class clazz)`
`static void` `prepareForConstraintsTests(Class clazz, List testInstances)`
`static void` `prepareForConstraintsTests(Class clazz, Map errorsMap)`
`static void` `prepareForConstraintsTests(Class clazz, Map errorsMap, List testInstances)`
`static void` `resetIds()`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`static void` `setTEST_INSTANCES(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockUtils

    public MockUtils()

Method Detail

### getCOMPARATORS

    public static Object getCOMPARATORS()

### getCOMPARATORS_RE

    public static Object getCOMPARATORS_RE()

### getDYNAMIC_FINDER_RE

    public static Object getDYNAMIC_FINDER_RE()

### getErrorsObjects

    public static Object getErrorsObjects()

### getIDS

    public static Map<Class,Long> getIDS()

### getTEST_INSTANCES

    public static Object getTEST_INSTANCES()

### setTEST_INSTANCES

    public static void setTEST_INSTANCES(Object value)

### mockAttributeAccess

    public static void mockAttributeAccess(Class clazz)

### mockController

    public static void mockController(Class clazz)

### mockTagLib

    public static void mockTagLib(Class clazz)

### addCommonWebProperties

    public static void addCommonWebProperties(Class clazz)

### mockCommandObject

    public static void mockCommandObject(Class clazz)

### mockCommandObject

    public static void mockCommandObject(Class clazz,
                                         Map errorsMap)

### mockLogging

    public static void mockLogging(Class clazz,
                                   boolean enableDebug)

### mockDomain

    public static GrailsDomainClass mockDomain(Class clazz)

### mockDomain

    public static GrailsDomainClass mockDomain(Class clazz,
                                               List testInstances)

### mockDomain

    public static GrailsDomainClass mockDomain(Class clazz,
                                               Map errorsMap,
                                               List testInstances)

### prepareForConstraintsTests

    public static void prepareForConstraintsTests(Class clazz)

### prepareForConstraintsTests

    public static void prepareForConstraintsTests(Class clazz,
                                                  List testInstances)

### prepareForConstraintsTests

    public static void prepareForConstraintsTests(Class clazz,
                                                  Map errorsMap,
                                                  List testInstances)

### resetIds

    public static void resetIds()

### mockLogging

    public static void mockLogging(Class clazz)

### mockDomain

    public static GrailsDomainClass mockDomain(Class clazz,
                                               Map errorsMap)

### prepareForConstraintsTests

    public static void prepareForConstraintsTests(Class clazz,
                                                  Map errorsMap)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project